aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-09-18 16:36:10 -0300
committerSilvio Rhatto <user@example.org>2014-09-18 16:36:10 -0300
commitf32646cc0e3b9670fae9afbb08809c1a589d999c (patch)
treeb05b0de18fd8ae69164f93773cdf5102264aba71
downloadshellprompt-f32646cc0e3b9670fae9afbb08809c1a589d999c.tar.gz
shellprompt-f32646cc0e3b9670fae9afbb08809c1a589d999c.tar.bz2
Initial import
-rw-r--r--README.md0
-rw-r--r--TODO.md0
-rwxr-xr-xprompt50
3 files changed, 50 insertions, 0 deletions
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/README.md
diff --git a/TODO.md b/TODO.md
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/TODO.md
diff --git a/prompt b/prompt
new file mode 100755
index 0000000..7669eb7
--- /dev/null
+++ b/prompt
@@ -0,0 +1,50 @@
+#!/bin/bash
+#
+# Fancy bash prompt.
+# See http://www.debian-administration.org/article/Fancy_Bash_Prompts
+#
+
+function command_prompt() {
+ exit_status="$?"
+ # colors
+ COLOR_RED="\[\033[31m\]"
+ COLOR_GREEN="\[\033[32m\]"
+ COLOR_YELLOW="\[\033[33m\]"
+ COLOR_BLUE="\[\033[34m\]"
+ COLOR_MAGENTA="\[\033[35m\]"
+ COLOR_CYAN="\[\033[36m\]"
+
+ COLOR_RED_BOLD="\[\033[31;1m\]"
+ COLOR_GREEN_BOLD="\[\033[32;1m\]"
+ COLOR_YELLOW_BOLD="\[\033[33;1m\]"
+ COLOR_BLUE_BOLD="\[\033[34;1m\]"
+ COLOR_MAGENTA_BOLD="\[\033[35;1m\]"
+ COLOR_CYAN_BOLD="\[\033[36;1m\]"
+
+ COLOR_NONE="\[\033[0m\]"
+ BOLD="\[\033[1m\]"
+
+ if [ "$exit_status" == "0" ]; then
+ status_color="${COLOR_GREEN}"
+ else
+ status_color="${COLOR_RED_BOLD}"
+ fi
+
+ # Without git completion
+ #PS1="(${status_color}${exit_status}${COLOR_NONE}) [${COLOR_RED}\D{%Y%m%d %H:%M:%S}${COLOR_NONE}] ${COLOR_CYAN}${debian_chroot:+($debian_chroot) }${COLOR_NONE}${COLOR_GREEN}\u@\h${COLOR_NONE}:${COLOR_CYAN}\w${COLOR_NONE} \\$ "
+
+ # Red green theme with git completion
+ #PS1="(${status_color}${exit_status}${COLOR_NONE}) [${COLOR_RED}\D{%Y%m%d %H:%M:%S}${COLOR_NONE}] ${COLOR_CYAN}${debian_chroot:+($debian_chroot) }${COLOR_NONE}${COLOR_GREEN}\u@\h${COLOR_NONE}:${COLOR_CYAN}\w$(__git_ps1 " (%s)")${COLOR_NONE} \\$ "
+ #PS2="${BOLD}>${OFF} "
+
+ # Yellow blue theme with git completion
+ PS1="${status_color}${exit_status}${COLOR_NONE} ${COLOR_CYAN}\D{%Y%m%d %H:%M:%S}${COLOR_NONE} ${COLOR_CYAN}${debian_chroot:+($debian_chroot) }${COLOR_NONE}${COLOR_YELLOW}\u@\h${COLOR_NONE}:${COLOR_CYAN}\w$(__git_ps1 " (%s)")${COLOR_NONE} \\$ "
+ PS2="${BOLD}>${OFF} "
+}
+
+# Older systems doesn't source git completion by default
+if ! type __git_ps1 &> /dev/null && [ -e "/etc/bash_completion.d/git" ]; then
+ source /etc/bash_completion.d/git
+fi
+
+PROMPT_COMMAND="command_prompt"